30个Linux上的益智小游戏
================================================================================
在Linux环境下有大量的免费游戏，其中还有许多是开源的，其中相当一部分非常引人注目。现在的主流游戏一般包含了全动态影像，矢量图形，3D图形，3D渲染，动画，纹理贴图，物理引擎，以及其他的技术。而早期的电脑游戏还没有使用这些图形技术，最早的电脑游戏是文字游戏或者基于文字的游戏，它们使用字符作为基本工具而不是矢量或点阵图像。

谚语'不要根据封面去评价一本书'可以扩展成'不要根据界面来评价一款电脑游戏'。尽管在这篇文章中提到的很多游戏都只有非常普通的界面，它们从其他方面来弥补，包括挑战性的玩法，以及锻炼脑力。

本文的目的是找出那些受欢迎的益智游戏，这些游戏可以促进智力，或用做日常消遣。

本文的重点是那些不太受关注的免费Linux游戏，而不是Steam平台的类似商业游戏。这里列出来的所有游戏都值得一玩，尽管它们大多没有像商业同类应用那样精心美化，可玩性仍然不错。

这个列表中所包含的游戏，需要达到以下的要求：

- 免费（没有下载费用，没有月度费用）
- 不需要通过Wine来执行。Wine是一个运行Windows软件的兼容层。
- 必须有可玩性和有趣。

现在，让我们来检查一下手上的30款游戏。我们为每一款游戏做了一个页面，里面有游戏截图，游戏的完整描述，游戏特性的深度分析，以及相关资源和评论的链接。

### 益智游戏 ###

### [Neverball][1] 	倾斜地板来滚动一个球并通过障碍物 

![](http://www.linuxlinks.com/portal/content/reviews/Games/Screenshot-Neverball-Small.png) 

### [Incredipede][2] 	赞美世界生命的多样性

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-Incredipede-Small.png)

### [Frozen Bubble][3] 	投掷彩色泡泡搭建或销毁组合

![](http://www.linuxlinks.com/portal/content/reviews/Games/Screenshot-FrozenBubble-Small.png)

### [Enigma][4] 	找到有相同颜色的Oxyd石头对

![](http://www.linuxlinks.com/portal/content/reviews/Games/Screenshot-Enigma1-Small.png)

### [Crack Attack!][5] 	类似于Super Nintendo的经典游戏"Tetris Attack"

![](http://www.linuxlinks.com/portal/content/reviews/Games/Screenshot-Crack%20Attack%21-Small.png)

### [Puzzle Collection][6] 	36个谜题，大部分是重新实现的

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-PuzzleCollection.png)

### [Zaz][7] 	简单容易上瘾的益智游戏

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-Zaz-Small.png)

### [Berusky][8] 	基于一个古老的名叫Sokoban的益智游戏

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-Berusky-Small.png)

### [gbrainy][9] 	锻炼记忆，算术，逻辑能力

![](http://www.linuxlinks.com/portal/content/reviews/Games/Screenshot-gbrainy-Small.png)

### [Monsterz][10] 	Arcade益智游戏，类似于Bejeweled, Zookeeper或Zooo

![](http://www.linuxlinks.com/portal/content/reviews/Games/Screenshot-Monsterz-Small.png)

### [levelHead][11] 	3D空间记忆游戏

![](http://www.linuxlinks.com/portal/content/reviews/Games/Screenshot-levelHead-Small.png)

### [gjid][12] 	移动箱子来通过复杂的迷宫送到回收箱里

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-gjid-Small.png)

### [Bombermaaan][13] 	经典Bomberman游戏的多人版本

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-Bombermaaan-Small.png)

### [Angry, Drunken Dwarves][14] 	类似Puzzle Fighter的好玩益智游戏

![](http://www.linuxlinks.com/portal/content/reviews/Games/Screenshot-Angry-Small.png)

### [Berusky 2][15] 	挑战你的视觉/空间思维能力

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-Berusky2-Small.png)

### [Numpty Physics][16] 	受Crayon Physics启发的绘画益智游戏

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-NumptyPhysics-Small.png)

### [Amoebax][17] 	Puyo类型益智游戏

![](http://www.linuxlinks.com/portal/content/reviews/Games/Screenshot-Amoebax1-Small.png)

### [Klest-crossword][18] 	跨平台的纵横字谜游戏

(缺图)

### [Xwelltris][19] 	2.5D类俄罗斯方块游戏

![](http://www.linuxlinks.com/portal/content/reviews/Games/Screenshot-Xwelltris-Small.png)

### [I Have No Tomatoes][20] 	超级休闲时间的活动

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-IHaveNoTomatoes-Small.png)

### [Cube Trains][21] 	在一座城市里建造高架铁路

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-CubeTrains-Small.png)

### [Pingus][22] 	类似Lemmings的游戏

![](http://www.linuxlinks.com/portal/content/reviews/Games/Screenshot-Pingus1-Small.png)

### [Trackballs][23] 	基于OpenGL的迷宫弹珠游戏

![](http://www.linuxlinks.com/portal/content/reviews/Games/Screenshot-Trackballs1-Small.png)

### [Brain Workshop][24] 	Dual n-back大脑练习

![](http://www.linuxlinks.com/portal/content/reviews/Games/Screenshot-BrainWorkshop-Small.png)

### [rezerwar][25] 	给方块加入了有方向的管道的益智游戏

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-rezerwar-Small.png)

### [Brain Party][26] 	解谜，脑力训练游戏

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-BrainParty-Small.png)

### [JAG][27] 	类似KDiamonds的2D游戏

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-JAG-Small.png)

### [Atomic Worm][28] 	刺激的类似贪食蛇游戏

![](http://www.linuxlinks.com/portal/content/reviews/Games2/Screenshot-AtomicWorm-Small.png)

### [Pioneers][29] 	基于Settlers of Catan

![](http://www.linuxlinks.com/portal/content/reviews/Games/Screenshot-Pioneers-Small.png)

### [Fish Fillets NG][30] 	Altar Interactive平台的FIsh Fillets游戏的移植

![](http://www.linuxlinks.com/portal/content/reviews/Games/Screenshot-Fish%20Fillets-Small.png)

--------------------------------------------------------------------------------

via: http://www.linuxlinks.com/article/20140201084806845/PuzzleGames.html

译者：[zpl1025](https://github.com/zpl1025) 校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://www.linuxlinks.com/article/2008051019354650/Neverball.html
[2]:http://www.linuxlinks.com/article/20140201101247656/Incredipede.html
[3]:http://www.linuxlinks.com/article/20080510102350336/FrozenBubble.html
[4]:http://www.linuxlinks.com/article/20080524072250420/Enigma.html
[5]:http://www.linuxlinks.com/article/20080524100816516/CrackAttack%21.html
[6]:http://www.linuxlinks.com/article/20140201135434313/PuzzleCollection.html
[7]:http://www.linuxlinks.com/article/20101211064900466/Zaz.html
[8]:http://www.linuxlinks.com/article/20140201113353386/Berusky.html
[9]:http://www.linuxlinks.com/article/20080525211221167/gbrainy.html
[10]:http://www.linuxlinks.com/article/2009081921375955/Monsterz.html
[11]:http://www.linuxlinks.com/article/20090815144344770/levelHead.html
[12]:http://www.linuxlinks.com/article/20140201142055360/gjid.html
[13]:http://www.linuxlinks.com/article/20140201161809886/Bombermaaan.html
[14]:http://www.linuxlinks.com/article/2009081514441763/AngryDrunkenDwarves.html
[15]:http://www.linuxlinks.com/article/20140201183159376/Berusky2.html
[16]:http://www.linuxlinks.com/article/20101211063800755/NumptyPhysics.html
[17]:http://www.linuxlinks.com/article/20090819213709180/Amoebax.html
[18]:http://www.linuxlinks.com/article/20140201165631283/Klest-crossword.html
[19]:http://www.linuxlinks.com/article/20090819213733554/Xwelltris.html
[20]:http://www.linuxlinks.com/article/20140201163108930/IHaveNoTomatoes.html
[21]:http://www.linuxlinks.com/article/20140201152715356/CubeTrains.html
[22]:http://www.linuxlinks.com/article/20080510105058649/Pingus.html
[23]:http://www.linuxlinks.com/article/20090819212528284/Trackballs.html
[24]:http://www.linuxlinks.com/article/20100501151619134/BrainWorkshop.html
[25]:http://www.linuxlinks.com/article/20100503031223387/rezerwar.html
[26]:http://www.linuxlinks.com/article/20100503031206947/BrainParty.html
[27]:http://www.linuxlinks.com/article/20100808120210293/JAG.html
[28]:http://www.linuxlinks.com/article/2010080812021597/AtomicWorm.html
[29]:http://www.linuxlinks.com/article/20090815144506601/Pioneers.html
[30]:http://www.linuxlinks.com/article/20080517164445969/FishFillets.html
