10种将开源用于商业的最佳途径
===============================================================================
> 开源为大大小小的商业带来了一些显著的效益 -- 但是你可能会对某些用途感到惊讶。

![](http://tr2.cbsistatic.com/hub/i/r/2015/03/05/54a9c323-4311-4455-b10b-5182548da424/resize/620x485/95164f01a19cbd7a3e4b843be78febae/foss.jpg)

技术上已经发生了一些必然性的改变。举个例子，开源软件以它的方式进入到了你的工作之中。10 年前，这也许还能称为一个问题。现在呢？则已经无法避免开源技术的使用 -- 也没有理由要去避免。有如此多强大（和必需的）的方方面面技术，开源在许多方面已经成为了技术的救世主。但是你哪一块的工作最适合开源软件呢？当然，这个问题的答案会因公司而异。然而许多的应用几乎可以适用于每个场景中。

让我们来看看这10种可能是最佳的使用方法，它们可以帮助你的公司成长，带给你从未体验过的灵活性与可靠性，或者仅仅是帮你节省一笔可观的预算。

### 1: 服务器软件 ###

如果你还在微软的 IIS 平台苦苦挣扎，那么你需要体验一下 Apache。这款旗舰级开源软件是这个星球上使用最广泛的网页服务器软件之一。Apache 免费、极其可靠、易于管理，而且不像 IIS 一样需要大量的资源。然而，开源并不局限于网页服务器。如果你需要在公司内使用 SMB 来共享资源，可以试试 Samba， Samba 4甚至集成了活动目录（AD），所以你不需要担心在Samba服务器上建立单独的用户账号。

### 2: 开发 ###

用开源开发是很简单的事。PHP，Rails，Perl -- 开源上面的开发语言和开发的工具（从集成开发环境到调试）都很多。为开源或者开源工具做开发可以有很多种选择（如同使用商业软件开发一样）。开源软件与商业软件最大的不同之处在于开源可以接触到软件源代码。在自由开源软件（FOSS，free open source software）的世界里，代码都是公开的。对许多开发者来说，Linux操作系统有他们开发和构建所需要的一切（特别那些没有一个成熟环境来写代码的人而言）。如果你需要图形用户界面（GUI）的开发工具，开源也能满足你。

### 3: 安全 ###

通往安全的道路是充满挑战的，但还是很多途径可以达到。你可以选择“安全盒子”的解决方案，跟随Cisco（一个可靠的解决方案）的节奏，或者你可以借助iptables打造最适合你需求的安全。是的，开源的安全之路会需要更多的时间去配置（有很高的学习壁垒），但是结果通常是不错的。这里甚至不强调一种观点，就一般来说，在桌面上使用开源比起大多数封闭的系统而言是一个更安全的平台。在桌面上部署Linux，你的安全痛点会大大降低。

### 4: 桌面 ###

Linux 桌面是大多数人不认可的地方。尽管如此，你必须考虑一个事实，那就是你每天的工作流程已经经历了一个主要的思维模式的转换。我们现在做的大部分事情都是通过网络浏览器。那么为什么不将Linux部署到桌面上呢？不但可以能做如今要做的许多工作，而且不用遭受病毒，恶意软件和能破坏系统的更新。它不完美 -- 但哪个平台敢说完美？但是它很强大，最后，还可以节省你的开支。这是一个双赢的结局。

### 5: 工作流程 ###

每一种工作都依赖于工作流程。对于某些工作来说，一个流畅的工作流程又取决于所用的工具。开源已经登上这个舞台了。CRM（客户关系管理），HRM（人力资源管理），ERP（企业资源计划），BI（商业智能），BPM（业务流程管理） …… 只要你叫得出名字，开源就可以做到几乎你能想到的每一种可能 -- 并且干得不错。借助于[Pentaho][1], [Collabtive][2]和[SugarCRM][3], 开源可以在任何时候与最新的源工具保持同步。

### 6: 协作 ###

没有一起合作项目的能力，你的员工就不能干好工作。所以你选择的协作工具是十分重要的。你会在开源的世界里发现大量的优质协作工具。[Cyn.in 社区版][4], [Zimbra 开源版][5]和[Kolab][6]都是不错的协作工具，但这仅仅是开源世界里的三个代表而已。

### 7: 大数据 ###

以前说到大数据的时候，往往不会想到开源。多亏了[SUSE][7]的努力，大数据和开源现在可以携手共进了。许多如内存数据和内核热补丁的发明创建，使得开源成为大数据一个理想的解决方案。它可以完美地满足大数据在平台上所需的大量要求，而封闭的软件则达不到如此灵活的水平。

### 8: 云 ###

云的主要玩家都是开源的。[Red Hat][8], [Ubuntu][9], [SUSE][10], [Amazon][11], [Rackspace][12] -- 他们都提供云服务，而且认为开源是云配置的最好解决方案。但是，如果你不想用大公司的服务，仍然有很多后起之秀如[OwnCloud][13]，你可以选择OwnCloud的托管云方案，或者建立自己的一套。

### 9: 多媒体 ###

如果你的公司做播客或为产品发布制作视频，开源可以为你提供服务。借助像[Audacity][14]和[OpenShot][15]这样的工具，你可以对音频和视频做你需要的任何处理 -- 而且十分的廉价。实际上，你会感觉到很难再去找到比Audacity更好的播客工具，或者比OpenShot更易用的视频编辑器。没有太大的学习壁垒，或者闭源软件工具所要求的高额费用，开源的软件在帮助你创造专业水准的作品方面已经做得很好了。 

### 10: 电子商务 ###

如果你做在线销售，如果不尝试一下像[PrestaShop][16]之类的工具，你就太懈怠了。PrestaShop是最强大的电子商务解决方案之一，易于获取 -- 不需要许可证。 PrestaShop有你可能想要的所有功能（而且有些你可能都没有想过），这个开源平台已经在任何水平上超出了电子商务的范畴。

### FOSS 之于商业 ###

开源已经不再局限于商业交流的范围了。在许多情况下，FOSS已经主导这种交流。如果你已经在寻找将开源解决方案运用的领域，看上面的10条就行了。

### 该你了 ###

你已经将开源用到你的工作中了吗？如果是，属于哪一条方法呢？

-------------------------------------------------------------------------------

via: http://www.techrepublic.com/blog/10-things/10-best-uses-for-open-source-software-in-the-business-world/

作者：[Jack Wallen][a]
译者：[wi-cuckoo](https://github.com/wi-cuckoo)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:http://www.techrepublic.com/search/?a=jack+wallen
[1]:http://community.pentaho.com/
[2]:http://collabtive.o-dyn.de/
[3]:http://www.sugarcrm.com/
[4]:http://cynapse.com/cyn-in/
[5]:https://www.zimbra.com/open-source
[6]:http://kolab.org/
[7]:http://www.suse.org/
[8]:http://www.redhat.com/
[9]:http://www.ubuntu.com/
[10]:http://www.suse.com/
[11]:http://aws.amazon.com/ec2/
[12]:http://www.rackspace.com/cloud
[13]:https://owncloud.org/
[14]:http://audacity.sourceforge.net/
[15]:http://www.openshot.org/
[16]:https://www.prestashop.com/
