7 个驱动开源发展的社区
================================================================================
不久前，开源模式还被成熟的工业级厂商以怀疑的态度认作是叛逆小孩的玩物。如今，开源的促进会和基金会在一长列的供应商提供者的支持下正蓬勃发展，而他们将开源模式视作创新的关键。

![](http://images.techhive.com/images/article/2015/01/0_opensource-title-100539095-orig.jpg)

### 技术的开放发展驱动着创新 ###

在过去的 20 几年间，技术的开源推进已被视作驱动创新的关键因素。即使那些以前将开源视作威胁的公司也开始接受这个观点 — 例如微软，如今它在一系列的开源的促进会中表现活跃。到目前为止，大多数的开源推进都集中在软件方面，但甚至这个也正在改变，因为社区已经开始向开源硬件倡议方面聚拢。这里介绍 7 个成功地在硬件和软件方面同时促进和发展开源技术的组织。

### OpenPOWER 基金会 ###

![](http://images.techhive.com/images/article/2015/01/1_openpower-100539100-orig.jpg)

[OpenPOWER 基金会][2] 由 IBM, Google, Mellanox, Tyan 和 NVIDIA 于 2013 年共同创建，在与开源软件发展相同的精神下，旨在驱动开放协作硬件的发展，在过去的 20 几年间，开源软件发展已经找到了肥沃的土壤。

IBM 通过开放其基于 Power 架构的硬件和软件技术，向使用 Power IP 的独立硬件产品提供许可证等方式为基金会的建立播下种子。如今超过 70 个成员共同协作来为基于 Linux 的数据中心提供自定义的开放服务器，组件和硬件。

去年四月，在比最新基于 x86 系统快 50 倍的数据分析能力的新的 POWER8 处理器的服务器的基础上，  OpenPOWER 推出了一个技术路线图。七月， IBM 和 Google 发布了一个固件堆栈。去年十月见证了 NVIDIA GPU 带来加速 POWER8 系统的能力和来自 Tyan 的第一个 OpenPOWER 参考服务器。

### Linux 基金会 ###

![](http://images.techhive.com/images/article/2015/01/2_the-linux-foundation-100539101-orig.jpg)

于 2000 年建立的 [Linux 基金会][2] 如今成为掌控着历史上最大的开源协同开发成果，它有着超过 180 个合作成员和许多独立成员及学生成员。它赞助 Linux 核心开发者的工作并促进、保护和推进 Linux 操作系统，并协调软件的协作开发。

它最为成功的协作项目包括 Code Aurora Forum (一个拥有为移动无线产业服务的企业财团)，MeeGo (一个为移动设备和 IVI [注:指的是车载消息娱乐设备，为 In-Vehicle Infotainment 的简称] 构建一个基于 Linux 内核的操作系统的项目) 和 Open Virtualization Alliance (开放虚拟化联盟，它促进自由和开源软件虚拟化解决方案的采用)。

### 开放虚拟化联盟 ###

![](http://images.techhive.com/images/article/2015/01/3_open-virtualization-alliance-100539102-orig.jpg)

[开放虚拟化联盟(OVA)][3] 的存在目的为：通过提供使用案例和对具有互操作性的通用接口和 API 的发展提供支持，来促进自由、开源软件的虚拟化解决方案，例如 KVM  的采用。KVM 将 Linux 内核转变为一个虚拟机管理程序。

如今， KVM 已成为和 OpenStack 共同使用的最为常见的虚拟机管理程序。

### OpenStack 基金会 ###

![](http://images.techhive.com/images/article/2015/01/4_the-openstack-foundation-100539096-orig.jpg)

原本作为一个 IaaS(基础设施即服务) 产品由 NASA 和 Rackspace 于 2010 年启动，[OpenStack 基金会][4] 已成为最大的开源项目聚居地之一。它拥有超过 200 家公司成员，其中包括 AT&T, AMD, Avaya, Canonical, Cisco, Dell 和 HP。

大约以 6 个月为一个发行周期，基金会的 OpenStack 项目开发用于通过一个基于 Web 的仪表盘，命令行工具或一个 RESTful 风格的 API 来控制或调配流经一个数据中心的处理存储池和网络资源。至今为止，基金会支持的协同开发已经孕育出了一系列 OpenStack 组件，其中包括 OpenStack Compute(一个云计算网络控制器，它是一个 IaaS 系统的主要部分)，OpenStack Networking(一个用以管理网络和 IP 地址的系统) 和 OpenStack Object Storage(一个可扩展的冗余存储系统)。

### OpenDaylight ###

![](http://images.techhive.com/images/article/2015/01/5_opendaylight-100539097-orig.jpg)

作为来自 Linux 基金会的另一个协作项目， [OpenDaylight][5] 是一个由诸如 Dell, HP, Oracle 和 Avaya 等行业厂商于 2013 年 4 月建立的联合倡议。它的任务是建立一个由社区主导、开源、有工业支持的针对软件定义网络（ SDN: Software-Defined Networking）的包含代码和蓝图的框架。其思路是提供一个可直接部署的全功能 SDN 平台，而不需要其他组件，供应商可提供附件组件和增强组件。

### Apache 软件基金会 ###

![](http://images.techhive.com/images/article/2015/01/6_apache-software-foundation-100539098-orig.jpg)

[Apache 软件基金会 (ASF)][7] 是将近 150 个顶级项目的聚居地，这些项目涵盖从开源的企业级自动化软件到与 Apache Hadoop 相关的分布式计算的整个生态系统。这些项目分发企业级、可免费获取的软件产品，而 Apache 协议则是为了让无论是商业用户还是个人用户更方便地部署 Apache 的产品。

ASF 是 1999 年成立的一个会员制，非盈利公司，以精英为其核心 — 要成为它的成员，你必须首先在基金会的一个或多个协作项目中做出积极贡献。

### 开放计算项目 ###

![](http://images.techhive.com/images/article/2015/01/7_open-compute-project-100539099-orig.jpg)

作为 Facebook 重新设计其 Oregon 数据中心的副产物， [开放计算项目][7] 旨在发展针对数据中心的开源硬件解决方案。 OCP 是一个由廉价无浪费的服务器、针对 Open Rack(为数据中心设计的机架标准，来让机架集成到数据中心的基础设施中) 的模块化 I/O 存储和一个相对 "绿色" 的数据中心设计方案等构成。

OCP 董事会成员包括来自 Facebook，Intel，Goldman Sachs，Rackspace 和 Microsoft 的代表。

OCP 最近宣布了有两种可选的许可证： 一个类似 Apache 2.0 的允许衍生工作的许可证，和一个更规范的鼓励将更改回馈到原有软件的许可证。

--------------------------------------------------------------------------------

via: http://www.networkworld.com/article/2866074/opensource-subnet/7-communities-driving-open-source-development.html

作者：[Thor Olavsrud][a]
译者：[FSSlc](https://github.com/FSSlc)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:http://www.networkworld.com/author/Thor-Olavsrud/
[1]:http://openpowerfoundation.org/
[2]:http://www.linuxfoundation.org/
[3]:https://openvirtualizationalliance.org/
[4]:http://www.openstack.org/foundation/
[5]:http://www.opendaylight.org/
[6]:http://www.apache.org/
[7]:http://www.opencompute.org/