选择成为软件开发工程师的5个原因
================================================================================

![](http://henrikwarne1.files.wordpress.com/2011/09/cropped-desk1.jpg)

这个星期我将给本地一所高中做一次有关于程序猿是怎样工作的演讲。我是志愿（由 [Transfer][1] 组织的）来到这所学校谈论我的工作的。这个学校本周将有一个技术主题日，并且他们很想听听科技行业是怎样工作的。因为我是从事软件开发的，这也是我将和学生们讲的内容。演讲的其中一部分是我为什么觉得软件开发是一个很酷的职业。主要原因如下：

### 5个原因 ###

**1、创造性**

如果你问别人创造性的工作有哪些，别人通常会说像作家，音乐家或者画家那样的（工作）。但是极少有人知道软件开发也是一项非常具有创造性的工作。它是最符合创造性定义的了，因为你创造了一个以前没有的新功能。这种解决方案可以在整体和细节上以很多形式来展现。我们经常会遇到一些需要做权衡的场景（比如说运行速度与内存消耗的权衡）。当然前提是这种解决方案必须是正确的。这些所有的行为都是需要强大的创造性的。

**2、协作性**

另外一个表象是程序猿们独自坐在他们的电脑前，然后撸一天的代码。但是软件开发事实上通常总是一个团队努力的结果。你会经常和你的同事讨论编程问题以及解决方案，并且和产品经理、测试人员、客户讨论需求以及其他问题。
经常有人说，结对编程（2个开发人员一起在一个电脑上编程）是一种流行的最佳实践。

**3、高需性**

世界上越来越多的人在用软件，正如 [Marc Andreessen](https://en.wikipedia.org/wiki/Marc_Andreessen) 所说 " [软件正在吞噬世界][2] "。虽然程序猿现在的数量非常巨大（在斯德哥尔摩，程序猿现在是 [最普遍的职业][3] ），但是，需求量一直处于供不应求的局面。据软件公司说，他们最大的挑战之一就是 [找到优秀的程序猿][4] 。我也经常接到那些想让我跳槽的招聘人员打来的电话。我知道至少除软件行业之外的其他行业的雇主不会那么拼（的去招聘）。

**4、高酬性**

软件开发可以带来不菲的收入。卖一份你已经开发好的软件的额外副本是没有 [边际成本][5] 的。这个事实与对程序猿的高需求意味着收入相当可观。当然还有许多更捞金的职业，但是相比一般人群，我认为软件开发者确实“日进斗金”(知足吧！骚年~~)。

**5、前瞻性**

有许多工作岗位消失，往往是由于它们可以被计算机和软件代替。但是所有这些新的程序依然需要开发和维护，因此，程序猿的前景还是相当好的。

### 但是...###

**外包又是怎么一回事呢？**

难道所有外包到其他国家的软件开发的薪水都很低吗？这是一个理想丰满，现实骨感的例子（有点像 [瀑布开发模型][6] ）。软件开发基本上跟设计的工作一样，是一个探索发现的工作。它受益于强有力的合作。更进一步说，特别当你的主打产品是软件的时候，你所掌握的开发知识是绝对的优势。知识在整个公司中分享的越容易，那么公司的发展也将越来越好。

换一种方式去看待这个问题。软件外包已经存在了相当一段时间了。但是对本土程序猿的需求量依旧非常高。因为许多软件公司看到了雇佣本土程序猿的带来的收益要远远超过了相对较高的成本（其实还是赚了）。

### 如何成为人生大赢家 ###

虽然我有许多我认为软件开发是一件非常有趣的事情的理由 （详情见: [为什么我热爱编程][7] ）。但是这些理由，并不适用于所有人。幸运的是，尝试编程是一件非常容易的事情。在互联网上有数不尽的学习编程的资源。例如，[Coursera][8] 和 [Udacity][9] 都拥有很好的入门课程。如果你从来没有撸过码，可以尝试其中一个免费的课程，找找感觉。

寻找一个既热爱又能谋生的事情至少有2个好处。首先，由于你天天去做，工作将比你简单的只为谋生要有趣的多。其次，如果你真的非常喜欢，你将更好的擅长它。我非常喜欢下面一副关于伟大工作组成的韦恩图（作者 [@eskimon)][10]） 。因为编码的薪水确实相当不错，我认为如果你真的喜欢它，你将有一个很好的机会，成为人生的大赢家！

![](http://7xjl4u.com1.z0.glb.clouddn.com/15-8-6/17571624.jpg)

--------------------------------------------------------------------------------

via: http://henrikwarne.com/2014/12/08/5-reasons-why-software-developer-is-a-great-career-choice/

作者：[Henrik Warne][a]
译者：[mousycoder](https://github.com/mousycoder)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](https://linux.cn/) 荣誉推出
   

[a]:http://henrikwarne.com/
[1]:http://www.transfer.nu/omoss/transferinenglish.jspx?pageId=23
[2]:http://www.wsj.com/articles/SB10001424053111903480904576512250915629460
[3]:http://www.di.se/artiklar/2014/6/12/jobbet-som-tar-over-landet/
[4]:http://computersweden.idg.se/2.2683/1.600324/examinationstakten-racker-inte-for-branschens-behov
[5]:https://en.wikipedia.org/wiki/Marginal_cost
[6]:https://en.wikipedia.org/wiki/Waterfall_model
[7]:http://henrikwarne.com/2012/06/02/why-i-love-coding/
[8]:https://www.coursera.org/
[9]:https://www.udacity.com/
[10]:https://eskimon.wordpress.com/about/







