马克·沙特尔沃思 – Ubuntu 背后的那个男人
================================================================================

![](http://www.unixmen.com/wp-content/uploads/2015/10/Mark-Shuttleworth-652x445.jpg)

**马克·理查德·沙特尔沃思（Mark Richard Shuttleworth）** 是 Ubuntu 的创始人，也被称作 [Debian 背后的人][1]（[之一][2]）。他于 1973 年出生在南非的韦尔科姆（Welkom）。他不仅是个企业家，还是个太空游客——他是第一个前往太空旅行的非洲独立国家的公民。

马克曾在 1996 年成立了一家名为 **Thawte** 的互联网商务安全公司，那时他还在开普敦大学（ University of Cape Town）的学习金融和信息技术。

2000 年，马克创立了 HBD（Here be Dragons （此处有龙/危险）的缩写，所以其吉祥物是一只龙），这是一家投资公司，同时他还创立了沙特尔沃思基金会（Shuttleworth Foundation），致力于以奖金和投资等形式给社会中有创新性的领袖提供资助。

> “移动设备对于个人电脑行业的未来而言至关重要。比如就在这个月，相对于平板电脑的发展而言，传统 PC 行业很明显正在萎缩。所以如果我们想要涉足个人电脑产业，我们必须首先涉足移动行业。移动产业之所以有趣，是因为在这里没有盗版 Windows 操作系统的市场。所以如果你为你的操作系统赢得了一台设备的市场份额，这台设备会一直使用你的操作系统。在传统 PC 行业，我们时不时得和“免费”的 Windows 产生竞争，这是一种非常微妙的挑战。所以我们现在的重心是围绕 Ubuntu 和移动设备——手机和平板——以图与普通用户建立更深层次的联系。”
>
> — 马克·沙特尔沃思

2002 年，他在俄罗斯的星城（Star City）接受了为期一年的训练，随后作为联盟号 TM-34 任务组的一员飞往了国际空间站。再后来，在面向有志于航空航天或者其相关学科的南非学生群体发起了推广科学、编程及数学的运动后，马克 创立了 **Canonical Ltd**。此后直至2013年，他一直在领导 Ubuntu 操作系统的开发。

现今，沙特尔沃思拥有英国与南非双重国籍并和 18 只可爱的鸭子住在英国的 Isle of Man 小岛上的一处花园，一同的还有他可爱的女友 Claire，两条黑色母狗以及时不时经过的羊群。

> “电脑不仅仅是一台电子设备了。它现在是你思维的延续，以及通向他人的大门。”
>
> — 马克·沙特尔沃思

### 马克·沙特尔沃思的早年生活###

正如我们之前提到的，马克出生在南非的奥兰治自由邦（Orange Free State）的韦尔科姆（Welkom）。他是一名外科医生和护士学校教师的孩子。他在西部省预科学校就读并在 1986 年成为了学生会主席，一个学期后就读于 Rondebosch 男子高中，再之后入学 Bishops Diocesan 学院并在 1991 年再次成为那里的学生会主席。

马克在开普敦大学（ University of Cape Town）拿到了金融和信息系统的商业科学双学士学位，他在学校就读时住在 Smuts Hall。作为学生，他也在那里帮助安装了学校的第一条宿舍互联网接入。

>“无数的企业和国家已经证明，引入开源政策能提高竞争力和效率。在不同层面上创造生产力对于公司和国家而言都是至关重要的。”
>
> — 马克·沙特尔沃思

### 马克·沙特尔沃思的职业生涯 ###

马克在 1995 年创立了 Thawte，公司专注于数字证书和互联网安全，然后在 1999 年把公司卖给了 VeriSign，赚取了大约 5.75 亿美元。

2000 年，马克创立了 HBD 风险资本公司，成为了商业投资人和项目孵化器。2004 年，他创立了 Canonical Ltd. 以支持和鼓励自由软件开发项目的商业化，特别是 Ubuntu 操作系统的项目。直到 2009 年，马克才从 Canonical CEO 的位置上退下。

> “在 [DDC](https://en.wikipedia.org/wiki/DCC_Alliance) (LCTT 译注：一个 Debian GNU/Linux 开发者联盟) 的早期，我更倾向于让拥护者们放手去做，看看能发展出什么。”
>
> — 马克·沙特尔沃思

### Linux、自由开源软件与马克·沙特尔沃思 ###

在 90 年代后期，马克曾作为一名开发者参与 Debian 操作系统项目。

2001 年，马克创立了沙特尔沃思基金会，这是个扎根南非的、非赢利性的基金会，专注于赞助社会创新、免费/教育用途开源软件，曾赞助过[自由烤面包机][3]（Freedom Toaster）（LCTT 译注：自由烤面包机是一个可以给用户带来的 CD/DVD 上刻录自由软件的公共信息亭）。

2004 年，马克通过出资开发基于 Debian 的 Ubuntu 操作系统返回了自由软件界，这一切也经由他的 Canonical 公司完成。

2005 年，马克出资建立了 Ubuntu 基金会并投入了一千万美元作为启动资金。在 Ubuntu 项目内，人们经常用一个朗朗上口的名字称呼他——“**SABDFL ：自封的生命之仁慈独裁者（Self-Appointed Benevolent Dictator for Life）**”。为了能够找到足够多的高手开发这个巨大的项目，马克花费了 6 个月的时间从 Debian 邮件列表里寻找，这一切都是在他乘坐在南极洲的一艘破冰船——赫列布尼科夫船长号（Kapitan Khlebnikov）——上完成的。同年，马克买下了 Impi Linux 65% 的股份。


> “我呼吁电信公司的掌权者们尽快开发出跨洲际的高效信息传输服务。”
>
> — 马克·沙特尔沃思

2006 年，KDE 宣布沙特尔沃思成为 KDE 的**第一赞助人（first patron）**——彼时 KDE 最高级别的赞助。这一赞助协议在 2012 年终止，取而代之的是对 Kubuntu 的资金支持，这是一个使用 KDE 作为默认桌面环境的 Ubuntu 变种。

![](http://www.unixmen.com/wp-content/uploads/2015/10/shuttleworth-kde.jpg)

2009 年，Shuttleworth 宣布他会从 Canonical 的 CEO 上退位以更好地关注合作关系、产品设计和客户。从 2004 年起担任公司 COO 的珍妮·希比尔（Jane Silber）晋升为 CEO。

2010 年，马克由于其贡献而被开放大学（Open University）授予了荣誉学位。

2012 年，马克和肯尼斯·罗格夫（Kenneth Rogoff）一同在牛津大学与彼得·蒂尔（Peter Thiel）和加里·卡斯帕罗夫（Garry Kasparov）就**创新悖论**（The Innovation Enigma）展开辩论。

2013 年，马克和 Ubuntu 一同被授予**澳大利亚反个人隐私大哥奖**（Austrian anti-privacy Big Brother Award），理由是默认情况下， Ubuntu 会把 Unity 桌面的搜索框的搜索结果发往 Canonical 服务器（LCTT 译注：因此侵犯了个人隐私）。而一年前，马克曾经申明过这一过程进行了匿名化处理。

> “所有主流 PC 厂家现在都提供 Ubuntu 预安装选项，所以我们和业界的合作已经相当紧密了。但那些 PC 厂家对于给买家推广新东西这件事都很紧张。如果我们可以让 PC 买家习惯 Ubuntu 的平板/手机操作系统的体验，那他们也应该更愿意买预装 Ubuntu 的 PC。没有哪个操作系统是通过抄袭模仿获得成功的，Android 很棒，但如果我们想成功的话我们必须给市场带去更新更好的东西（LCTT 译注：而不是改进或者模仿 Android）。如果我们中没有人追寻未来的话，我们将陷入停滞不前的危险。但如果你尝试去追寻未来了，那你必须接受不是所有人对未来的预见都和你一样这一事实。”
>
> — 马克·沙特尔沃思

### 马克·沙特尔沃思的太空之旅 ###

马克在 2002 年作为世界第二名自费太空游客而闻名世界，同时他也是南非第一个旅行太空的人。这趟旅行中，马克作为俄罗斯联盟号 TM-34 任务的一名乘员加入，并为此支付了约两千万美元。2 天后，联盟号宇宙飞船抵达了国际空间站，在那里马克呆了 8 天并参与了艾滋病和基因组研究的相关实验。同年晚些时候，马克随联盟号 TM-33 任务返回了地球。为了参与这趟旅行，马克花了一年时间准备与训练，其中有 7 个月居住在俄罗斯的星城。

![](http://www.unixmen.com/wp-content/uploads/2015/10/Mark-Shuttleworth1.jpg)

在太空中，马克与纳尔逊·曼德拉（Nelson Mandela）和另一个 14 岁的南非女孩米歇尔·福斯特（Michelle Foster） （她问马克要不要娶她）通过无线电进行了交谈。马克礼貌地回避了这个结婚问题，但在巧妙地改换话题之前他说他感到很荣幸。身患绝症的女孩福斯特通过梦想基金会（ Dream foundation）的赞助获得了与马克和纳尔逊·曼德拉交谈的机会。

归来后，马克在世界各地做了旅行，并和各地的学生就太空之旅发表了感言。

>“粗略的统计数据表明 Ubuntu 的实际用户依然在增长。而我们的合作方——戴尔、惠普、联想和其他硬件生产商，以及游戏厂商 EA、Valve 都在加入我们——这让我觉得我们在关键的领域继续领先。”
>
> — 马克·沙特尔沃思

### 马克·沙特尔沃思的交通工具 ###

马克有他自己的私人客机庞巴迪全球特快（Bombardier Global Express），虽然它经常被称为 Canonical 一号，但事实上此飞机是通过 HBD 风险投资公司注册拥有的。涂画在飞机侧面的龙图案是 HBD 风投公司的吉祥物 ，名叫 Norman。

![](http://www.leader.co.za/leadership/logos/logomarkshuttleworthdirectory_31ce.gif)

### 与南非储备银行的法律冲突 ###

在从南非转移 25 亿南非兰特去往 Isle of Man 的过程中，南非储备银行征收了 2.5 亿南非兰特的税金。马克上诉了，经过冗长的法庭唇枪舌战，南非储备银行被勒令返还 2.5 亿征税，以及其利息。马克宣布他会把这 2.5 亿存入信托基金，以用于帮助那些上诉到宪法法院的案子。


> “离境征税倒也不和宪法冲突。但离境征税的主要目的不是提高税收，而是通过监管资金流出来保护本国经济。”
>
> — Dikgang Moseneke 法官

2015 年，南非宪法法院修正了低级法院的判决结果，并宣布了上述对于离岸征税的理解。

### 马克·沙特尔沃思喜欢的东西 ###

Cesária Évora、mp3、春天、切尔西（Chelsea）、“恍然大悟”（finally seeing something obvious for first time）、回家、辛纳屈（Sinatra）、白日梦、暮后小酌、挑逗、苔丝（d’Urberville）、弦理论、Linux、粒子物理、Python、转世、米格-29、雪、旅行、Mozilla、酸橙果酱、激情代价（body shots）、非洲丛林、豹、拉贾斯坦邦、俄罗斯桑拿、单板滑雪、失重、Iain m 银行、宽度、阿拉斯泰尔·雷诺兹（Alastair Reynolds）、化装舞会服装、裸泳、灵机一动、肾上腺素激情消退、莫名（the inexplicable）、活动顶篷式汽车、Clifton、国家公路、国际空间站、机器学习、人工智能、维基百科、Slashdot、风筝冲浪（kitesurfing）和 Manx lanes。



### 马克·沙特尔沃思不喜欢的东西 ###

行政、涨工资、法律术语和公众演讲。

--------------------------------------------------------------------------------

via: http://www.unixmen.com/mark-shuttleworth-man-behind-ubuntu-operating-system/

作者：[M.el Khamlichi][a]
译者：[Moelf](https://github.com/Moelf)
校对：[PurlingNayuki](https://github.com/PurlingNayuki), [wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:http://www.unixmen.com/author/pirat9/
[1]:https://wiki.debian.org/PeopleBehindDebian
[2]:https://raphaelhertzog.com/2011/11/17/people-behind-debian-mark-shuttleworth-ubuntus-founder/
[3]:https://en.wikipedia.org/wiki/Freedom_Toaster