Linux 上四个最佳的现代开源代码编辑器
==================================================

![](http://itsfoss.com/wp-content/uploads/2015/01/Best_Open_Source_Editors.jpeg)

在寻找 **Linux 上最好的代码编辑器**？如果你问那些老派的 Linux 用户，他们的答案肯定是 Vi，Vim，Emacs，Nano 等等。但我不讨论它们。我要讨论的是崭新、先进、优美、强大、功能丰富，能够提高你编程体验的**最好的 Linux 开源代码编辑器**。

### Linux 上最佳的现代开源代码编辑器

我使用 Ubuntu 作为我的主力系统，因此提供的安装说明适用于基于 Ubuntu 的发行版。但这并不会让这个列表变成 **Ubuntu 上的最佳文本编辑器**，因为这些编辑器对所有 Linux 发行版都适用。多说一句，这个清单的排名没有任何先后顺序。

### BRACKETS

![](http://itsfoss.com/wp-content/uploads/2015/01/brackets_UI.jpeg)

[Brackets][1] 是来自 [Adobe][2] 的一个开源代码编辑器。Brackets 专注于 web 设计师的需求，内置 HTML、CSS 和 JavaScript 支持。它很轻量，也很强大。它提供了行内编辑和实时预览。还有无数可用的插件，可以进一步加强你在 Brackets 上的体验。

在 Ubuntu 以及基于 Ubuntu 的发行版（比如 Linux Mint）上[安装 Brackets][3] 的话，你可以用这个非官方的 PPA：

```
sudo add-apt-repository ppa:webupd8team/brackets
sudo apt-get update
sudo apt-get install brackets
```

至于其它 Linux 发行版，你可以从它的网站上获取到适用于 Linux，OS X 和 Windows 源码和二进制文件。

- [下载 Brackets 源码和二进制包](https://github.com/adobe/brackets/releases)

### ATOM

![](http://itsfoss.com/wp-content/uploads/2014/08/Atom_Editor.jpeg)

[Atom][4] 是另一个给程序员的开源代码编辑器，现代而且美观。Atom 是由 Github 开发的，宣称是“面向21世纪的可魔改文本编辑器”。Atom 的外观看起来类似 Sublime Text，那是一个在程序员中很流行但是闭源的文本编辑器。

Atom 最近发布了 .deb 和 .rpm 包，所以你可以轻而易举地在基于 Debian 和 Fedora 的 Linux 发行版上安装它。当然，它也提供了源代码。

- [下载 Atom .deb](https://atom.io/download/deb)
- [下载 Atom .rpm](https://atom.io/download/rpm)
- [获取 Atom 源码](https://github.com/atom/atom/blob/master/docs/build-instructions/linux.md)

### LIME TEXT

![](http://itsfoss.com/wp-content/uploads/2014/08/LimeTextEditor.jpeg)

你喜欢 Sublime Text 但是你对它是闭源的这一事实感觉不是很舒服？别担心，我们有 [Sublime Text 的开源克隆版][5]，叫做 [Lime Text][6]。它是基于 Go、HTML 和 QT 的。克隆 Sublime Text 的原因是 Sublime Text 2 中有无数 bug，而 Sublime Text 3 看起来会永远处于 beta 之中，而它的开发过程并不透明，也就无从得知 bug 是否被修复了。

所以开源爱好者们，开心地去下面这个链接下载 Lime Text 的源码吧：

- [获取 Lime Text 源码](https://github.com/limetext/lime)

### LIGHT TABLE

![](http://itsfoss.com/wp-content/uploads/2015/01/Light_Table.jpeg)

[Light Table][7] 是另一个外观现代、功能丰富的开源代码编辑器，标榜为“下一代代码编辑器”，它更像一个 IDE 而不仅仅是个文本编辑器。它还有无数可以加强它的功能的扩展。也许你会喜欢它的行内求值。你得用用它才会相信 Light Table 有多好用。

- [在 Ubuntu 上安装 Light Table](http://itsfoss.com/install-lighttable-ubuntu/)

### 你的选择是？

不，我们的选择没有限制在这四个 Linux 代码编辑器之中。这个清单只是关于程序员的现代编辑器。当然，你还有很多选择，比如 [Notepad++ 的替代选择 Notepadqq][8] 或 [SciTE][9] 等等。那么，上面四个中，在 Linux 上而言你最喜欢哪个代码编辑器？

----------
via: http://itsfoss.com/best-modern-open-source-code-editors-for-linux/

作者：[Abhishek Prakash][a]
译者：[alim0x](https://github.com/alim0x)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: http://itsfoss.com/author/abhishek/
[1]: http://brackets.io/
[2]: http://www.adobe.com/
[3]: http://itsfoss.com/install-brackets-ubuntu/
[4]: https://atom.io/
[5]: http://itsfoss.com/lime-text-open-source-alternative/
[6]: http://limetext.org/
[7]: http://lighttable.com/
[8]: http://itsfoss.com/notepadqq-notepad-for-linux/
[9]: http://itsfoss.com/scite-the-notepad-for-linux/
