【翻译中】
How Linux Helped Me Become an Empowered Computer User
============================================================

 ![switching-linux](http://www.linuxinsider.com/article_images/story_graphics_xlarge/xl-2016-linux-1.jpg) 

 ![](http://www.linuxinsider.com/images/2015/image-credit-adobe-stock_130x15.gif) 

If you were to ask any of my friends, they could readily attest to my profound passion for Linux. That said, it might surprise you to know that hardly two years ago, I barely knew what Linux was, let alone had any earnest interest in switching to it from Windows.

Although a shift as dramatic as this may seem astonishing when considered in hindsight, analyzing my path from one push or influence to the next paints a more telling picture. It is with this approach that I want to share my story of how I came to not only use, but indeed champion, the Linux desktop.

### My Security Awakening

Before embarking on my journey two years ago, I was just an ordinary Windows user. While I was basically competent and tried to keep abreast of mainstream tech news, I had an unremarkable knowledge of computers.

My attitude quickly began to change in light of the reporting on the intelligence programs of the National Security Agency in the summer of 2013\. The breadth of the online monitoring Edward Snowden revealed was unsettling, but it also underscored just how little most of us do -- or even know how to do -- to safeguard our own privacy.

Whereas before I previously gave no particular consideration to computers or their role in my personal affairs, I came to realize the critical importance of taking control of one's digital life, and of the devices that power it.

The logical next step was to determine exactly how to go about it. Though my goal seemed logical, achieving it would not be simple. Over the next few months I devoted my free time to scouring the Internet for guides on deploying privacy protections, encryption, and any other techniques that could protect me.

Experts will tell you that if you're trying to evade intelligence agencies, you should give up. Yet those same experts will tell you that your only recourse for resisting even a fraction of state surveillance -- and a decent proportion of monitoring by lesser agencies more likely to target ordinary people -- is to use open source software. Linux, I soon found, was chief among those software options.

### Proprietary vs. Open Source

Upon further study, I became familiar with just what was so special about open source software. The lion's share of the software we use every day -- from chat clients to operating systems, including Windows -- is the opposite of open source software: It's proprietary.

When Microsoft developers work on Windows, for example, they write the source code in some programming language and circulate this code only among their team. When they're ready to release the software, they compile it, converting it from human-readable code into the 1s and 0s that computers need to run it, but which even the most brilliant humans struggle to reverse-engineer to original source code.

With this model, the only people who know for sure exactly what the software does, or whether it surreptitiously undermines or monitors its users, are the people who wrote it.

Open source software, though, is released to the public in its source code form, along with downloadable binary packages for installation. Whether or not every individual user is capable of reading the source code to assess its security and privacy, the fact that it is public means that those with enough technical chops are free to do so, and they can notify users if the program contains hidden malicious processes or inadvertently buggy ones.

After thorough research, it became clear that the only operating system that could guarantee my privacy and autonomy as a user was one that offered the transparency of the open source philosophy. The one knowledgeable friends and privacy advocates recommended most was Linux. I was ready to endure a rough transition if I had to, but my conviction in the importance of privacy gave me the confidence to try.

### Baby Steps

Although my resolve to switch to Linux was immediate, the process of migrating to it was gradual. I started by installing Ubuntu -- an easily configured and beginner-friendly Linux distribution -- to run side-by-side with the existing Windows installation on my aging laptop.

By being able to choose Ubuntu or Windows each time I booted up my computer, I was able to find my footing on Linux while preserving the familiar refuge of Windows in case the former was missing direly needed functionality.

As it turned out, a fatally corrupted hard drive prevented me from enjoying this setup for long, but I took that as an opportunity to pick out a new laptop with Linux in mind. As its standard Intel set of processors, graphic cards, and wireless adapters work well with Linux's drivers, I went with a Lenovo ThinkPad.

I made a fresh start, completely wiping Windows from my new machine in favor of Debian, a widely compatible and stable distribution on which Ubuntu is based. More than merely surviving without the familiar Windows safety net, I thrived. I was soon immersing myself in the previously mysterious command line world.

After I had a year of working with Linux under my belt, I took another plunge and installed Arch Linux, which requires a significantly more complex manual user installation process, with full disk encryption. That night installing Arch, with a Linux veteran supervising, marked one of the proudest accomplishments in my life.

I had my share of challenges along the way -- sometimes applications that worked seamlessly on Windows required laborious extra steps or missing drivers needed installation -- but I surmounted them or sidestepped them and continued to figure out Linux at my own pace.

### Full Steam Ahead

As far as I had come, it was then that I really started to learn. I took up Linux to harness the power of my computer and ensure that it worked for me, but what kept me engaged was the freedom of modification and personalization that it offered.

As an open source OS, Linux is infinitely open to customization. Although I initially expected to spend my time reading up on security practices (which I very much still do), I also found myself digging deep into configuration panels and laying out all the colors, icons and menus just so.

It took some getting used to, but the more I threw myself into something new, the more confident -- and curious -- I became.

A little over two years since setting out down this road, I've never felt more at home on my computer than I do today. I couldn't personalize Windows the way I wanted it, and from what I've learned from the open source community, I couldn't fully trust it, either.

What was once simply a piece of hardware I owned is now something I have a close connection to -- not unlike the connection a journalist has to her notebook or a violinist to her instrument.

I even find myself lamenting the fact that my phone is not as amenable to true Linux as my laptop and wondering what I can do about that. In the meantime, though, I will keep tinkering away on my Arch system, discovering new corners and exploring new possibilities whenever the chance arises.

--------------------------------------------------------------------------------

via: http://www.linuxinsider.com/story/84286.html?rss=1

作者：[Jonathan Terrasi ][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:http://www.linkedin.com/company/ect-news-network
[1]:http://www.linuxinsider.com/story/84286.html?rss=1#
[2]:http://www.linuxinsider.com/perl/mailit/?id=84286
