A look at 6 iconic open source brands
============================================================

 ![A look at 6 iconic open source brands](https://opensource.com/sites/default/files/styles/image-full-size/public/images/business/BUSINESS_brandbalance.png?itok=opwotgEh "A look at 6 iconic open source brands") 
Image by : 

opensource.com

Branding is an integral part of marketing. When it's done right and makes an impact, a simple logo (like a Nike swoosh) becomes a powerful advertisement in of itself. Just drive down any interstate in America and you'll see symbols that tell you about a brand. Like, the golden arches. Even certain color combinations can be identified with a brand without any additional text or images to give further context. Like, Virginia Tech University's maroon and orange; they are a unique color combination that is hard to mistake.

So, the question is: How is branding important to the open source community?

There is a strong argument from me, and many others, that yes it does very much. Open source software competes with paid software, and so must define itself as a viable, realistic alternative. It must also be memoriable and make an impact. If an open source software project represents itself with a poorly designed logo, a bad tagline, and inconsistent messaging, it will be hard to get noticed, be remembered, and be taken seriously. 

There are many projects doing it right that we can look to for inspiration and guidance. Here are six of my favorites.

### Six open source brands

### 
 ![Linux&#039;s Tux mascot](https://opensource.com/sites/default/files/resize/linux-300x354.png "Linux&amp;#039;s Tux mascot") 

### Linux

The beloved Linux penguin is named Tux, and he is considered the mascot, not the logo.

Tux was created by Larry Ewing, using GIMP 0.54 in 1996. [The story][4], as told by Jeff Ayers, is that Linus Torvalds had a fixation on penguins after being bitten by one at an Australian zoo in 1993\. Torvalds was looking for a fun image for Linux and felt that a fat penguin resting after a meal was the perfect solution. Tux has found his way into video games, cereal commercials, and even has a female pal, named Gown. Tux is as familiar to Linux users as the bitten-apple is to Mac users and the flying window is to Windows users.

 ![Mozilla new logo 2017](https://opensource.com/sites/default/files/resize/mozilla_1-650x185.png "Mozilla new logo 2017") 

### Mozilla

The [Mozilla][5] Foundation is non-profit organization and [free-software community][6].

Recently wrapping up [a long rebranding effort][7], their creative team leader, Tim Murray, wrote, "At the core of this project is the need for Mozilla's purpose and brand to be better understood by more people. Our brand identity—our logo, our voice, our design—is an important signal of what we believe in and what we do."

In true open source fashion, Mozilla has invited everyone to contribute. "Thousands of emails, hundreds of meetings, dozens of concepts, and three rounds of research later, we have something to share." But, they're still working on the guidelines, so there's still time to get involved.

 ![Firefox logo](https://opensource.com/sites/default/files/firefox_0.png "Firefox logo") 

### Firefox

[Firefox][8] is Mozilla's flagship software product and a popular [web browser][9].

The "fox" in Firefox is actually a red panda, which is a real animal, a cat-like creature native to China. The story is that Firefox was originally nicknamed "Phoenix" to denote its rising from the ashes of Netscape Navigator. The name was changed to Mozilla Firebird after a trademark dispute with Phoenix Technologies. Then, in February 2004, the name was changed to Mozilla Firefox, after the Firebird RDMS project said it caused confusion with its own projects.

Early logos for Firefox and Phoenix were criticized by interface designer Steve Garrity, who detailed the flaws in the post "[Branding Mozilla: Towards Mozilla 2.0][10]." So, Mozilla invited Garrity to lead better branding efforts. New icons were developed by silverorange, and the final renderings were done by Jon Hicks, who has done branding work for Camino, MailChimp, and Opera.

In 2013, the Firefox logo was a final clue on "[Jeopardy!][11]" that asked what the animal was in the logo. None of the three contestants knew the answer is a red panda, instead answering "su," "raccoon," and "Excel."

 ![Wilber the Gimp logo](https://opensource.com/sites/default/files/resize/gimp-300x300.png "Wilber the Gimp logo") 

### GIMP

GIMP's logo is [Wilber the GIMP][12], created on September 25, 1997 by Tuomas Kuosmanen.

GIMP is an acronym for GNU Image Manipulation Program, and it is used for photo retouching and image manipulation. Wilber has had some accessories added, such as a hard hat, by Simon Budig, and a wizard cap, by Raphaël Quintet. According to GIMP's [Linking to Us][13] page, the use of Wilber is highly encouraged and you can even get the Wilber Construction Kit included in the source code in **/docs/Wilber_Construction_Kit.xcf.gz**.

What kind of creature is Wilber? Apparently, that's up for discussion. A forum on [gimper.net][14] offers many theories: coyote, panda, dog, or a "Goofy" derivative, just to name a few. A user named "TheWarrior" on [GimpChat.com][15], emailed Kuosmanen directly and was told, "Wilber is an animal of its own species: a 'GIMP.' What a GIMP is, is sort of a joke, because people kept asking it so much: It would be so boring to say it's a dog or a fox or whatever. And when I designed the character, I did not really have any particular animal in mind."

 ![PostgreSQL logo](https://opensource.com/sites/default/files/postgresql.png "PostgreSQL logo") 

### PostgreSQL

As you've seen and probably know, animals are popular in logos.

An elephant named [Slonik][16] is part of the logo for [PostgreSQL][17], an open source Relational Database Management System (RDMS). Patrycja Dybka, writing for "Vertabelo," explains that the name is derived from the Russian word for "elephants," which is "slony." Oleg Bartunov said that the logo was first considered in an [email thread][18]. In it, the elephant was suggested by David Yang at St. Joseph's University in Philadelphia: "…but if you want an animal-based logo, how about some sort of elephant? After all, as the Agatha Christie title read, _Elephants Can Remember_."

 ![VLC logo](https://opensource.com/sites/default/files/resize/vlc-300x340.png "VLC logo") 

### VLC media player

This logo diverges from the animal theme with... a traffic cone.

VLC is the ubiquitous media player that seems to appear on desktops magically—giving many a taste of open source without even knowing it! VLC is a product of the VideoLAN project, supported by the VideoLAN organization, which is based in France. VideoLAN began in 1996 as a student project at École Centrale Paris. According to Wikipedia, the traffic cone image is a reference to traffic cones collected from the streets of Paris by the École Centrale's Networking Students' Association. The original hand-drawn illustrated logo was re-rendered in 2006 by Richard Oistad.

Fun tidbits include:

*   Seamus Islwyn's post _[What Does the Traffic Cone Mean in VLC?][1]_ tells us that in the month of December, the VLC cone wears a Santa hat, which disappears on December 31 and reverts back to the original cone.
*   Some say that VLC stands for "Very Large Cone" or the cone was chosen because of a connection with Cone, France.
*   Is the "official" story accurate? An exchange on the [VideoLAN Forum][2] between VLC's Jean-Baptiste Kempf and users seems to indicate that the traffic cone collection theory, as well as the funnel, the construction zone, the megaphone, and several other theories, may not be correct.

Will we ever get the definitive answer on the origins of the VLC traffic cone? My personal theory: It's "Saturday Night Live's" Coneheads. They were from France, remember? Remulak, to be exact.

**I'd love to hear from you in the comments about which other open source logos you love, hate, and feel excel at representing their brands.**

--------------------------------------------------------------------------------

译者简介：

Jeff Macharyas - Jeff Macharyas has worked in publishing and graphics for many years and has been the art director for Quick Printing, The American Spectator, the USO’s OnPatrol, Today’s Campus, and other publications as well as a project manager, editor, and circulation manager. Jeff holds a BS in Communications from Florida State University, a Graduate Certificate in Social Media Marketing from Rutgers University and a Master’s in Cybersecurity and Computer Forensics from Utica College.

--------------------------------------------------------------------------------

via: https://opensource.com/article/17/2/six-open-source-brands

作者：[Jeff Macharyas ][a]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/jeffmacharyas
[1]:http://www.ehow.com/info_10029162_traffic-cone-mean-vlc.html
[2]:https://forum.videolan.org/viewtopic.php?f=5&t=92513
[3]:https://opensource.com/article/17/2/six-open-source-brands?rate=Lmf1lD4etve4Apqfhw3NUV3SeENsNXhGqTh8OO4PzzQ
[4]:https://en.wikipedia.org/wiki/Tux
[5]:https://www.mozilla.org/en-US/
[6]:https://en.wikipedia.org/wiki/Mozilla
[7]:https://blog.mozilla.org/opendesign/arrival/
[8]:https://en.wikipedia.org/wiki/Firefox
[9]:https://en.wikipedia.org/wiki/Web_browser
[10]:http://actsofvolition.com/steven/mozillabranding/
[11]:http://www.complex.com/pop-culture/2013/09/firefox-jeopardy-answer
[12]:https://www.gimp.org/about/ancient_history.html
[13]:https://www.gimp.org/about/linking.html
[14]:https://gimper.net/threads/what-is-wilber.793/
[15]:http://gimpchat.com/viewtopic.php?f=4&t=10265
[16]:http://www.vertabelo.com/blog/notes-from-the-lab/the-history-of-slonik-the-postgresql-elephant-logo
[17]:https://wiki.postgresql.org/wiki/Logo
[18]:http://www.pgsql.ru/db/mw/msg.html?mid=1238939
[19]:https://opensource.com/user/83821/feed
[20]:https://opensource.com/article/17/2/six-open-source-brands#comments
[21]:https://opensource.com/users/jeffmacharyas
