
微流冷却技术可能让摩尔定律起死回生
============================================================

![](http://tr1.cbsistatic.com/hub/i/r/2015/12/09/a7cb82d1-96e8-43b5-bfbd-d4593869b230/resize/620x/9607388a284e3a61a39f4399a9202bd7/networkingistock000042544852agsandrew.jpg)
>Image: iStock/agsandrew

现有的技术无法对微芯片进行有效的冷却，这正快速成为摩尔定律消亡的第一原因。

随着对数字计算速度的需求，科学家和工程师正努力地将更多的晶体管和支撑电路放在已经很拥挤的硅片上。的确，它非常地复杂，然而，和复杂性相比，热量聚积引起的问题更严重。

洛克希德马丁公司首席研究员John Ditri在新闻稿中说到：当前，我们可以放入微芯片的功能是有限的，最主要的原因之一是发热的管理。如果你能管理好发热，你可以用较少的芯片，较少的材料，那样就可以节约成本，并能减少系统的大小和重量。如果你能管理好发热，用相同数量的芯片将能获得更好的系统性能。

硅对电子流动的阻力产生了热量，在如此小的空间封装如此多的晶体管累积了足以毁坏元器件的热量。一种消除热累积的方法是在芯片层用光子学技术减少电子的流动，然而光子学技术有它的一系列问题。

SEE:2015年硅光子将引起数据中心的革命 [Silicon photonics will revolutionize data centers in 2015][5]

### 微流冷却技术可能是问题的解决之道

为了寻找其他解决办法，国防高级研究计划局DARPA发起了一个关于ICECool应用[ICECool Applications][6] (片内/片间增强冷却技术)的项目。GSA网站 [GSA website FedBizOpps.gov][7] 报道：ICECool正在探索革命性的热技术，其将减轻热耗对军用电子系统的限制，同时能显著减小军用电子系统的尺寸，重量和功耗。

微流冷却方法的独特之处在于组合使用片内和(或)片间微流冷却技术和片上热互连技术。

![](http://tr4.cbsistatic.com/hub/i/r/2016/05/25/fd3d0d17-bd86-4d25-a89a-a7050c4d59c4/resize/300x/e9c18034bde66526310c667aac92fbf5/microcooling-1.png)
>MicroCooling 1 Image: DARPA

DARPA ICECool应用项目 [DARPA ICECool Application announcement][8] 指出, 这种微型片内和(或)片间通道可采用轴向微通道，径向通道和(或)横流通道，采用微孔和歧管结构及局部液体喷射形式来疏散和重新引导微流，从而以最有利的方式来满足指定的散热指标。

通过上面的技术，洛克希德马丁的工程师已经实验性地证明了片上冷却是如何得到显著改善的。洛克希德马丁新闻报道：ICECool项目的第一阶段发现，当冷却具有多个局部30kW/cm2热点，发热为1kw/cm2的芯片时热阻减少了4倍，进而验证了洛克希德的嵌入式微流冷却方法的有效性。

第二阶段，洛克希德马丁的工程师聚焦于RF放大器。通过ICECool的技术，团队演示了RF的输出功率可以得到6倍的增长，而放大器仍然比其常规冷却的更凉。

### 投产

出于对技术的信心，洛克希德马丁已经在设计和制造实用的微流冷却发射天线。 Lockheed Martin还与Qorvo合作，将其热解决方案与Qorvo的高性能GaN工艺 [GaN process][9] 集成.

研究论文 [DARPA's Intra/Interchip Enhanced Cooling (ICECool) Program][10] 的作者认为ICECool将使电子系统的热管理模式发生改变。ICECool应用的执行者将根据应用来定制片内和片间的热管理方法，这个方法需要兼顾应用的材料，制造工艺和工作环境。

如果微流冷却能像科学家和工程师所说的成功的话，似乎摩尔定律会起死回生。

更多的关于网络的信息，请订阅Data Centers newsletter。

[SUBSCRIBE](https://secure.techrepublic.com/user/login/?regSource=newsletter-button&position=newsletter-button&appId=true&redirectUrl=http%3A%2F%2Fwww.techrepublic.com%2Farticle%2Fmicrofluidic-cooling-may-prevent-the-demise-of-moores-law%2F&)

--------------------------------------------------------------------------------

via: http://www.techrepublic.com/article/microfluidic-cooling-may-prevent-the-demise-of-moores-law/

作者：[Michael Kassner][a]
译者：[messon007](https://github.com/messon007)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: http://www.techrepublic.com/search/?a=michael+kassner
[1]: http://www.intel.com/content/www/us/en/history/museum-gordon-moore-law.html
[2]: https://books.google.com/books?id=mfec2Zw_b7wC&pg=PA154&lpg=PA154&dq=does+heat+destroy+transistors&source=bl&ots=-aNdbMD7FD&sig=XUUiaYG_6rcxHncx4cI4Cqe3t20&hl=en&sa=X&ved=0ahUKEwif4M_Yu_PMAhVL7oMKHW3GC3cQ6AEITTAH#v=onepage&q=does%20heat%20destroy%20transis
[3]: http://www.lockheedmartin.com/us/news/press-releases/2016/march/160308-mst-cool-technology-turns-down-the-heat-on-high-tech-equipment.html
[4]: http://www.techrepublic.com/article/silicon-photonics-will-revolutionize-data-centers-in-2015/
[5]: http://www.techrepublic.com/article/silicon-photonics-will-revolutionize-data-centers-in-2015/
[6]: https://www.fbo.gov/index?s=opportunity&mode=form&id=0be99f61fbac0501828a9d3160883b97&tab=core&_cview=1
[7]: https://www.fbo.gov/index?s=opportunity&mode=form&id=0be99f61fbac0501828a9d3160883b97&tab=core&_cview=1
[8]: https://www.fbo.gov/index?s=opportunity&mode=form&id=0be99f61fbac0501828a9d3160883b97&tab=core&_cview=1
[9]: http://electronicdesign.com/communications/what-s-difference-between-gaas-and-gan-rf-power-amplifiers
[10]: http://www.csmantech.org/Digests/2013/papers/050.pdf



