Why every business should consider an open source point of sale system
============================================================
为什么每家企业都应该考虑使用开源的 POS 系统

 ![Why every business should consider an open source point of sale system](https://opensource.com/sites/default/files/styles/image-full-size/public/images/business/BUS_lovemoneyglory2.png?itok=WxnzxyWP "Why every business should consider an open source point of sale system") 
图片来源 ： 

opensource.com

销售点终端 (POS) 系统是从很久以前的简单的收银机发展而来的。如今的 POS 系统可以提供一体化解决方案，包括支付流程，库存管理，营销工具等等。零售店也可以使用移动设备来接收现金流和各种成本支出相关的日报表。

POS 系统是每家企业重要的生命线，那就意味着你在选择 POS 系统的过程中要非常谨慎。目前可供选择的收银系统也很多，但是如果你想节约成本，适应不断变化的业务需求，跟上技术发展的脚步，你应该很明智地考虑使用开源系统。你可以随意使用一款源代码公开的开源 POS 系统，这比那些严格保密源代码的专有系统要有更大的优势。

使用开源的 POS 系统，你可以获得它的一些非常重要的特性。

### 无限的灵活性

开源系统与其它系统的兼容性非常好。它们与第三方厂家系统进行集成的能力——从帐务和客户关系管理软件到订单管理和库存管理系统——当企业管理者想要扩展专有 POS 系统以外的其它功能时，开源系统有更强大的优势。

在 [2014 年科技调查][7] 活动中，很多餐厅管理者声称 POS 系统的功能集成度将会是他们考虑更换新系统的主要因素。这是开源系统最具亮点的一方面。专有系统买来什么样就是什么样，很难与其它厂家的系统进行集成。但是使用开源系统，你就可以进行无限的集成及定制功能。如果你觉得你们公司的商业模式会不断的增长和变化，那么只有考虑使用开源的 POS 系统才能根据需要实时调整系统。

### 更快的开发速度

开源系统的另外一个优势是它有很多的社区开发者提供技术支持，他们持续不断的提交新功能，并且优化原有的功能。由于这种特性，开源项目的开发周期要比商用产品快得多——修复缺陷的速度更快，更新升级也很快，并且新的功能模块也不断地被开发出来。

### 更低的成本

也就是说，“更低的成本”意味着“基本免费”。你还需要购买相关硬件产品，只是软件本身是免费使用的。开源 POS 系统不像专有 POS 系统那样在购买时或是后期维护过程中需要支付高昂的费用，其每年的维护费在 3000 至 50000 美元之间，开源系统也不会像专有系统那样需要花钱来购买。

在 [2013 年版][8] 的餐饮行业技术服务调查研究过程中，有超过一半的受访餐厅老板表示他们从很多的技术产商购买服务——有些餐厅所面对的技术厂家多达 10 个。而使用纯粹的开源定制化系统不需要支付维护费用，这从节约成本上来说意义非常重大。

然而，有一点我还得提醒大家。如果你们公司没有一个技术精湛的员工提供技术支持，你可能还需要聘请外部技术人员来帮助你们安装，调试和升级系统。开源系统允许用户无限制集成和定制化开发，但是你还需要有技术精湛的专家来支持才行，这也会产生额外的费用。尽管如此，开源系统仍然是一个非常具有成本效益的选择。

### 更好的安全性

如果任何人都可以看到源代码，那是不是也意味着它同样对那些怀有恶意并想入侵你系统的程序员开放呢？那不就是一个安全上的严重隐患吗？事实正好相反。

大量的社区开发者在开发新功能的同时也会检查并修复影响系统安全的各种漏洞。有那么多的程序员在分析和维护开源软件的源代码，这可比专有软件开发商对代码的审查要严格得多。因此，开源的 POS 系统实际上更安全。

有很多开源的 POS 系统解决方案可供选择，我列出一部分来：

*   [Chromis][1]
*   [Drupal POS][2]
*   [Floreant][3]
*   [Odoo][4]
*   [Open Source Point of Sale][5]
*   [Unicenta][6]

### 勇敢地跨出第一步

你比其它人更了解你们公司。只有你能决定哪种开源系统最适合你们公司。由于开源 POS 系统比专有 POS 系统有更多亮丽的优点——灵活性、开发快速、低成本、更安全——因此，每个公司都应该考虑使用开源的 POS 系统。

--------------------------------------------------------------------------------

作者简介：

![](https://opensource.com/sites/default/files/styles/profile_pictures/public/pictures/img_1217_1.jpg)

我是 AcroMedia 公司数字化市场营销项目经理。我们主要使用 Drupal 开源系统来为客户提供定制化商业解决方案。

--------------------------------------------------------------------------------

via: https://opensource.com/article/17/1/open-source-point-sale-system

作者：[Preston Pilgrim][a]
译者：[rusking](https://github.com/rusking)
校对：[Bestony](https://github.com/Bestony)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/preston-pilgrim
[1]:http://chromis.co.uk/
[2]:https://www.acromediainc.com/drupal-pos
[3]:http://floreant.org/
[4]:https://www.odoo.com/
[5]:https://github.com/jekkos/opensourcepos
[6]:https://unicenta.com/
[7]:http://hospitalitytechnology.edgl.com/news/POS-Integration-Becoming-a--Must-Have-94389
[8]:https://pos.toasttab.com/restaurant-technology-industry-report/2015
