GitHub对软件开发行业造成的冲击
============================================================

 ![The impact GitHub is having on your software career](https://opensource.com/sites/default/files/styles/image-full-size/public/images/life/github-universe.jpg?itok=HCU81VX8 "The impact GitHub is having on your software career") 
>Image credits : From GitHub

在未来的12到24个月内（也就是说，在2018年，或者是2019年），人们雇佣软件开发者的方式将会发生彻底的改变。

2004 至 2014期间，我曾经就职于红帽，这是世界上最大的开源软件公司。还记得2004年七月的一天，我第一次来到这家公司，我的老板 Marty Messer 就跟我说，“所有你在这里所做的工作都会被开源，在未来，你将不需要任何的履历，因为所有的人都可以 Google 到你。”

供职于红帽的一个独特的好处是，在这种开源的工作期间，我们有机会建立自己的个人品牌和树立自己的声誉。我们可以通过邮件列表（mailling lists）和bug跟踪器（bug tracker）与其它的软件经理进行沟通，而且提交到 mercurial, subversion, 和CVS (并行版本控制系统)仓库的源代码都会被开源，并且通过google索引。

马上就到2017年了，我们将生活在一个处处充满开源的世界。

以下两点会让你对这个新时代有一个真正意义上的了解：

1. Microsoft（微软）在过去的一段很长的时间里都在坚持闭源，甚至是排斥开源。但是现在也从心底里开始拥抱开源了。它们成立了 .NET 基金会（红帽也是其中的一个成员），并且也加入了 Linux基金会。 .NET项目现在是以一个开源的形式在维护。
2. Github 已经成为了一个独特的社交网络，解决了包括各种问题跟踪和源码的版本控制。

大多数的软件开发都是从闭源走过来的，他们可能还不知道发生了什么。对于他们来说 ，开源就意味着“将业余时间的所有努力成果都免费。”

对于我们这些在过去十年创造了一家十亿美元的开源软件公司的人来说，参与开源的以后就没有什么空闲的时间可言了。当然，为开源事业献身的好处也是很明显的，所得到的名誉是你自己的，并且会在各家公司之间传播。GitHub 是一个社交网络，在这个地方，你可以创建你的提交(commits)、你可以在你所专长的领域为一些全球性的组织做出贡献。临时做一些与工作无关的事情。

聪明的人会利用这种工作环境。他们会贡献他们的补丁（patches）、事件（issues）、评论（comments）给他们平时在工作中使用的语言和框架。包括TypeScript, .NET, 和Redux。他们也拥抱开源，并会尽可能多的开源他们的创新成果。甚至会提交他们的贡献给私人资料库。

GitHub 是一个很好的平衡器。比如说，你也许很难在澳大利亚得到一份来至印度的工作，但是，在GitHub上，却也没有什么可以阻止你在印度跟澳大利亚的工作伙伴一起工作。

在过去十年里，想从红帽获得一个工作机会的方式很简单。你只需要在一些小的方面，在红帽的软件经理开源的项目上做出一点你自己的贡献，直到他们觉得你在某些方面做出了很多有价值的贡献，而且也是一个很好的工作伙伴，那么你就可以得到一个红帽的工作机会了。（也许他们会邀请你）

现在，在不同的技术领域，开源给了我们所有人同样的机会，随着开源在世界的各处都流行开来，这样的事情将会在不同的地方盛行开来。

在[a recent interview][3]中，Linux 和 git的发明者Linux Torvalds(49K 粉丝，0 关注)，这么说，“当你提交了很多小补丁，直到项目的维护者接受了你的补丁，从这一点说，你跟一般人不同的是，你不仅仅是提交了一些补丁，而是真正成为了这个组织里被信任的一部分。”

实际上你的名誉存在于那个你被信任的网络。我们都知道，当你离开一家公司以后，你的人脉和名誉可能会削弱，有的甚至 会丢失。就好像，你在一个小村庄里生活了很长的一段时间，这里所有的人都会知道你。然而，当你离开这个村庄，来到一个新的地方，这个地方可能没人听说过你，更糟糕的是，没有人知道任何知道你的人。

你曾经失去了第一次和第二次与世界连接的机会，甚至有可能会失去这第三个与世界交流的机会。除非你通过在会议或其他大型活动中演讲来建立自己的品牌，否则你通过在公司内部提交代码建立起来的信任早晚都会过去的，但是，如果你在GitHub上完成你的工作，这些东西依然全部都在，仍然可见，因为他连接到可信任的网络。

首先会发生的事情就是，一些弱势群体可能会利用这个。包括像学生，新毕业生、移民者--他们可能会利用这个“去往”澳大利亚。

这将会改变目前的现状。以前的一些开发人员可能会有过网络突然中断的情况，开源的一个原则是精英-最好的创意，最多的提交，最多的测试，和最快的落实执行，等等。

它并不完美，当然也没有什么事情是完美的，不能和伙伴一起工作，在人们对你的印象方面也会大打折扣。很多公司都会开除那些不能和团队和谐相处的人，而在GitHub工作的这些员工，他们主要是和其它的贡献者之间的交流。

GitHub不仅仅是一个代码仓库或是一个原始提交成员的列表，因为有些人总是用稻草人论点描述它。它是一个社交网络。我会这样说：GitHub有多少代码并不重要，重要的是有多少关于你代码的讨论。

GitHub 可以说是你的一个便捷的荣誉，并且在以后的12到24个月中，很多开发者使用它，而另外的一些依然并不使用，这将会形成一个很明显的差异。就像有电子邮件和没有电子邮件的区别（现在每个人都有电子邮件了），或者是有移动电话和没有移动电话的区别（现在每个人都有移动电话了），最终，绝大多数的人都会为开源工作，这将会是与别人的竞争中的一个差异化的优势。

但是现在，开发者的源码仓库已经被GitHub打乱了。

_[This article][1]首发于 Medium.com .转载请标明出处_

--------------------------------------------------------------------------------

作者简介：

Josh Wulf - About me: I'm a Legendary Recruiter at Just Digital People; a Red Hat alumnus; a CoderDojo mentor; a founder of Magikcraft.io; the producer of The JDP Internship — The World's #1 Software Development Reality Show;

-----------------------

via: https://opensource.com/article/17/3/impact-github-software-career

作者：[Josh Wulf ][a]
译者：[SysTick](https://github.com/SysTick)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/sitapati
[1]:https://medium.com/@sitapati/the-impact-github-is-having-on-your-software-career-right-now-6ce536ec0b50#.dl79wpyww
[2]:https://opensource.com/article/17/3/impact-github-software-career?rate=2gi7BrUHIADt4TWXO2noerSjzw18mLVZx56jwnExHqk
[3]:http://www.theregister.co.uk/2017/02/15/think_different_shut_up_and_work_harder_says_linus_torvalds/
[4]:https://opensource.com/user/118851/feed
[5]:https://opensource.com/article/17/3/impact-github-software-career#comments
[6]:https://opensource.com/users/sitapati
